## org.ascape.model.engine
Interface Selector

All Superinterfaces:
  java.lang.Cloneable

All Known Subinterfaces:
  AgentSelector, RuleSelector

All Known Implementing Classes:
  DefaultRuleSelector, FilteredRuleSelector, FlaggedTourAgentSelector, IterateAllRuleSelector, NoIterateAllRuleSelector, PartialRuleSelector, PartialTourAgentSelector, RandomAgentSelector, TourAgentSelector, UpdateRuleSelector

    public interface Selector

extends java.lang.Cloneable

The Interface Selector.

Method Summary
`java.lang.Object` `clone()` Clone.
`void` `reset()` Reset.

Method Detail

### reset

    void reset()

  Reset.

### clone

    java.lang.Object clone()

  Clone.

  Returns:
    the object